## org.eclipse.m2m.atl.adt.ui.perspective
Class AtlPerspective

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.perspective.AtlPerspective

All Implemented Interfaces:
  org.eclipse.ui.IPerspectiveFactory

    public class AtlPerspective

extends java.lang.Object
implements org.eclipse.ui.IPerspectiveFactory

The ATL perspective class.

Constructor Summary
`AtlPerspective()`

Method Summary
`void` `createInitialLayout(org.eclipse.ui.IPageLayout layout)`
`void` `defineActions(org.eclipse.ui.IPageLayout layout)` Defines the ATL perspective actions.
`void` `defineLayout(org.eclipse.ui.IPageLayout layout)` Defines the ATL perspective layout.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtlPerspective

    public AtlPerspective()

Method Detail

### createInitialLayout

    public void createInitialLayout(org.eclipse.ui.IPageLayout layout)

  Specified by:
    `createInitialLayout` in interface `org.eclipse.ui.IPerspectiveFactory`
  See Also:
    `IPerspectiveFactory.createInitialLayout(org.eclipse.ui.IPageLayout)`

### defineActions

    public void defineActions(org.eclipse.ui.IPageLayout layout)

  Defines the ATL perspective actions.

  Parameters:
    `layout` - the given layout

### defineLayout

    public void defineLayout(org.eclipse.ui.IPageLayout layout)

  Defines the ATL perspective layout.

  Parameters:
    `layout` - the given layout

Copyright 2007 IBM Corporation and others. All Rights Reserved.